Subject: bug#39824: 26.2; timers sometimes stop working when coming back from sleep

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Apr 2020 21:53:54 +0300

> Date: Sun, 19 Apr 2020 17:34:46 +0000
> From: ndame <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> 
> I have a timer which runs every 15 minutes and it accesses the network.
> It often occurred that the computer woke up from sleep, but the network was
> not yet available (e.g. the cable was not plugged in). The timer run
> instantly, because the 15 min cycle was long overdue and it had a network
> error.
> 
> I usually have debug on to see what happened if there is an error and
> dismissed this error backtrace with q, so it's very much possible I got
> the negative timer from there.
> 
> Since then I pay attention to have the network available when I wake up
> the computer, so it's likely that's why I don't have the negative timer
> anymore.

Which means using this combination is probably not a good idea in your
case (unless you _want_ such timers to be disabled when these errors
happen).

IOW, the problem as you describe it happens entirely under your
control: you can cause it at will and you can make it go away at will.